/*******************************************************************************/
/*                                                                             */
/* gEDA Suite Project Manager                                                  */
/*                                                                             */
/* Copyright (C) 2002 Piotr Miarecki, sp9rve@radioam.net                       */
/*                                                                             */
/* This program is free software; you can redistribute it and/or               */
/* modify it under the terms of the GNU General Public License                 */
/* as published by the Free Software Foundation version 2.                     */
/*                                                                             */
/* This program is distributed in the hope that it will be useful,             */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of              */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               */
/* GNU General Public License for more details.                                */
/*                                                                             */
/* You should have received a copy of the GNU General Public License           */
/* along with this program; if not, email to the author                        */
/*                                                                             */
/*******************************************************************************/

#ifndef __MSG_H_INCLUDED
#define __MSG_H_INCLUDED



/* error messages displayed in stderr */
#define MSG_TOO_MANY_PARAMETERS    "Too many parameters"
#define MSG_WRONG_PARAMETER        "Wrong parameter"
#define MSG_MISSING_PARAMETER      "Missing parameter"
#define MSG_UNKNOWN_OPTION         "Unknown option"
#define MSG_FILENAME_NOT_SPECIFIED "Graph filename not specified"
#define MSG_ACTION_NOT_SELECTED    "Action not specified"
#define MSG_FILTER_NOT_SPECIFIED   "Import/Export filter not specified"
#define MSG_CANNOT_CREATE_FILE     "Cannot create file"
#define MSG_CANNOT_OPEN_FILE       "Cannot open file"
#define MSG_WRONG_FILE             "File is wrong"

/* color names */
#define MSG_WHITE                  "White"
#define MSG_BLACK                  "Black"
#define MSG_YELLOW                 "Yellow"
#define MSG_RED                    "Red"
#define MSG_BLUE                   "Blue"
#define MSG_GREEN                  "Green"
#define MSG_ORANGE                 "Orange"
#define MSG_MAGENTA                "Magenta"

/* style names */
#define MSG_SOLID                  "Solid"

/* scale names */
#define MSG_LIN                    "Linear"
#define MSG_LOG                    "Logarithmic"

/* viewer names */
#define MSG_GWAVE                  "GNU GWave"

/* identifier of checked boxes */
#define MSG_CHECKED                "Checked"
#define MSG_UNCHECKED              "Unchecked"



#endif /* __MSG_H_INCLUDED */
